Bug 176901 - Thinkpad 600E ACPI issues
Thinkpad 600E ACPI issues
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-01-04 00:12 EST by Mark Alford
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 22:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Alford 2006-01-04 00:12:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Under previous kernels, ACPI was automatically disabled at boot time if the BIOS was older than a cutoff date (2001). In the recently released 2.6.14-1.1653_FC4 kernel this no longer happens, and the user must include an explicit kernel option acpi=off

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Boot system
Watch for message saying ACPI has been disabled because the BIOS is too old.
Message never appears.


Actual Results:  The system runs the acpid demon instead of apmd.

Expected Results:  It should have disabled acpi and run apmd

Additional info:
Comment 1 Dave Jones 2006-01-04 00:26:09 EST
this has been reverted in cvs, and will be fixed in the next update kernel.

out of curiousity, what in particular breaks for you with acpi being used?
Comment 2 Mark Alford 2006-01-04 11:24:14 EST
On my old (Thinkpad 600E) laptop, ACPI does not work at all. If acpid is running
then it will not hibernate. With apmd running it hibernates fine.
Comment 3 Len Brown 2006-01-31 03:48:10 EST
Does your 600E work better in ACPI mode if booted with "acpi=noirq"?
If yes, does the patch here invoke "acpi=noirq" for it automatically?
Comment 4 Mark Alford 2006-01-31 20:51:21 EST
With acpi=noirq it will suspend and resume OK, but after hibernation it comes
back frozen with a blank screen.
Comment 5 Dave Jones 2006-02-03 01:40:25 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Mark Alford 2006-02-03 21:15:44 EST
Using kernel 2.6.15-1.1830_FC4 the problem does not occur: ACPI is inactivated
automatically and APM is used instead. Suspend and hibernate both work.

Note You need to log in before you can comment on or make changes to this bug.